<?php

namespace App\Http\Controllers;

use App\Models\Activity;
use App\Models\Feedback;
use App\Models\Admin;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CommonController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function getActivityCount() {
        return response()->json( ['activityCount'=> Activity::count()] );
    }

    public function getCommentCount() {
        return response()->json( ['commentCount'=> Feedback::count()] );
    }

    public function login(Request $request) {
        $user = Admin::Where('username',$request->email)
        ->Where('password',$request->password)->first();
        return response()->json( ['user'=> $user],200 );
    }

    public function getActivityChatData() {

        $counts = DB::table('activities')
            ->select(DB::raw('count(student_id) as count, type'))
            ->groupBy('type')
            ->get();
        return response()->json( ['counts' => $counts] );
    }
}
